## metpy 1.6.3+ds

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = MetPy
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Sphinx doesn't know to clean out the debris from sphinx-gallery
cleanall: clean
	rm -rf ${SOURCEDIR}/api/areas.rst
	rm -rf $(SOURCEDIR)/examples $(SOURCEDIR)/tutorials $(SOURCEDIR)/api/generated

clean:
	rm -rf $(BUILDDIR)/*

# Check that all functions in modules with template overrides are present in the doc file
overridecheck:
	python override_check.py

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
# Manual autogen needed so we can specify the -i option so that imported names
# are included in generation
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== src/metpy/io/_metar_parser/Makefile ===
all: metar_parser.py

%.py: %.peg
	canopy $? --lang python

## metpy 1.5.1+ds

=== debian/changelog ===
metpy (1.5.1+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to fix autopkgtest failure on arm64.

  [ Antonio Valentino ]
  * Update d/python3-metpy.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 18:38:52 +0000

metpy (1.5.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Aug 2023 19:16:01 +0200

metpy (1.5.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1041256).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Jul 2023 19:01:31 +0000

=== debian/control ===
Source: metpy
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-cartopy <!nocheck>,
               python3-matplotlib,
               python3-netcdf4 <!nocheck>,
               python3-numpy,
               python3-packaging <!nocheck>,
               python3-pandas,
               python3-pint,
               python3-pooch,
               python3-pyproj,
               python3-pytest <!nocheck>,
               python3-pytest-mpl <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely <!nocheck>,
               python3-scipy,
               python3-traitlets,
               python3-xarray
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/Unidata/MetPy
Vcs-Browser: https://salsa.debian.org/debian-gis-team/metpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/metpy.git
Description: Collection of tools for reading, visualizing and performing calculations with we
 MetPy is a collection of tools in Python for reading,
 visualizing and performing calculations with weather data.

Package: python3-metpy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)
export PYBUILD_NAME=metpy
export PYBUILD_BEFORE_TEST=\
ln -s {dir}/conftest.py {dir}/tests 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/*.txt {build_dir}/${PYBUILD_NAME} 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/_static {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/colortable_files {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/nexrad_tables {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true
export PYBUILD_AFTER_TEST=rm -f {dir}/tests/conftest.py
export PYBUILD_TEST_ARGS=\
-k "not test_projection \
and not test_pyproj_projection \
and not test_no_projection \
and not test_globe \
and not test_geodetic \
and not test_unit_array \
and not test_units \
and not test_units_data \
and not test_magnitude_with_quantity \
and not test_convert_units \
and not test_convert_to_base_units \
and not test_missing_grid_mapping_invalid \
and not test_coordinates_basic_by_method \
and not test_coordinates_basic_by_property \
and not test_narr_example_variable_without_grid_mapping \
and not test_find_axis_name_ \
and not test_find_axis_number_ \
and not test_cf_parse_with_grid_mapping \
and not test_data_array_loc_ \
and not test_data_array_sel_ \
and not test_dataset_ \
and not test_check_axis_with_bad_unit \
and not test_auxilary_lat_lon_ \
and not test_zoom_xarray \
and not test_parse_grid_arguments_xarray \
and not test_absolute_momentum_xarray_units_attr \
and not test_precipitable_water \
and not test_mean_pressure_weighted \
and not test_weighted_continuous_average \
and not test_precipitable_water_xarray \
and not test_bunkers_motion \
and not test_bulk_shear \
and not test_critical_angle \
and not _4d \
and not test_interpolate_to_grid \
and not test_natural_neighbor_to_grid \
and not test_inverse_distance_to_grid \
and not test_interpolate_to_points \
and not test_natural_neighbor_to_points \
and not test_inverse_distance_to_points \
and not test_declarative_ \
and not test_no_field_error\
and not test_ndim_error_ \
and not test_projection_object \
and not test_colorfill \
and not test_global \
and not test_latlon \
and not test_plotobs_units_with_formatter \
and not test_attribute_error_ \
and not test_time_deltas \
and not test_latlon_default_units \
and not test_add_timestamp_xarray \
and not test_find_nn_triangles_point" \
--ignore=tests/io/test_gempak.py \
--ignore=tests/io/test_gini.py \
--ignore=tests/io/test_metar.py \
--ignore=tests/io/test_nexrad.py \
--ignore=tests/io/test_station_data.py \
--ignore=tests/io/test_text.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## metpy 1.6.1+ds

=== debian/changelog ===
metpy (1.6.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-arm64.patch and 0003-Fix-compatibility-with-Python-3.12.patch,
      applied upstream.
    - New 0002-Do-not-use-pooch-in-conftest.py.patch.
  * Update dates in d/copyright.
  * debian/rules:
    - Skip tests that require access to the network.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Feb 2024 12:08:25 +0000

metpy (1.5.1+ds-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * Improve lintian overrides.
  * debian/patches:
    - Rename arm64.patch into 0002-arm64.patch.
    - New 0003-Fix-compatibility-with-Python-3.12.patch (Closes: #1056424).
  * debian/rules:
    - Skip test_vorticity_grid_pole (broken on i386).

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 16:19:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 ln -s {dir}/src/${PYBUILD_NAME}/plots/nexrad_tables {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true
 export PYBUILD_AFTER_TEST=rm -f {dir}/tests/conftest.py
 export PYBUILD_TEST_ARGS=\
+-W ignore::DeprecationWarning \
 -k "not test_projection \
 and not test_pyproj_projection \
 and not test_no_projection \
@@ -63,7 +64,14 @@
 and not test_time_deltas \
 and not test_latlon_default_units \
 and not test_add_timestamp_xarray \
-and not test_find_nn_triangles_point" \
+and not test_find_nn_triangles_point \
+and not test_vorticity_grid_pole \
+and not test_corfidi_motion \
+and not test_corfidi_motion_override_llj \
+and not test_corfidi_corfidi_llj_unaivalable \
+and not test_corfidi_corfidi_cloudlayer_trimmed \
+and not test_corfidi_motion_with_nans \
+and not test_colorbar_kwargs" \
 --ignore=tests/io/test_gempak.py \
 --ignore=tests/io/test_gini.py \
 --ignore=tests/io/test_metar.py \
@@ -72,4 +80,4 @@
 --ignore=tests/io/test_text.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## metpy 1.6.2+ds

=== debian/changelog ===
metpy (1.6.2+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1066732).
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Apr 2024 07:05:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-cartopy <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,10 @@
 and not test_corfidi_corfidi_llj_unaivalable \
 and not test_corfidi_corfidi_cloudlayer_trimmed \
 and not test_corfidi_motion_with_nans \
-and not test_colorbar_kwargs" \
+and not test_colorbar_kwargs \
+and not test_xy_not_vertical \
+and not test_lcc_minimal \
+and not test_lcc_single_std_parallel" \
 --ignore=tests/io/test_gempak.py \
 --ignore=tests/io/test_gini.py \
 --ignore=tests/io/test_metar.py \

## metpy 1.6.3%2Bds

=== debian/changelog ===
metpy (1.6.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-Do-not-use-pooch-in-conftest.py.patch.
  * debian/rules:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Sep 2024 06:24:06 +0000

metpy (1.6.2+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/rules:
    - Skip broken test.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 26 Aug 2024 06:11:57 +0000

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)
export PYBUILD_NAME=metpy
export PYBUILD_BEFORE_TEST=\
ln -s {dir}/conftest.py {dir}/tests 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/*.txt {build_dir}/${PYBUILD_NAME} 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/_static {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/colortable_files {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/nexrad_tables {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true
export PYBUILD_AFTER_TEST=rm -f {dir}/tests/conftest.py
export PYBUILD_TEST_ARGS=\
-W ignore::DeprecationWarning \
-k "not test_zoom_xarray \
and not test_parse_grid_arguments_xarray \
and not test_absolute_momentum_xarray_units_attr \
and not test_precipitable_water \
and not test_mean_pressure_weighted \
and not test_weighted_continuous_average \
and not test_precipitable_water_xarray \
and not test_bunkers_motion \
and not test_corfidi_motion \
and not test_corfidi_motion_override_llj \
and not test_corfidi_corfidi_llj_unaivalable \
and not test_corfidi_corfidi_cloudlayer_trimmed \
and not test_corfidi_motion_with_nans \
and not test_bulk_shear \
and not test_critical_angle \
and not test_interpolate_to_grid \
and not test_interpolate_to_points \
and not test_declarative_ \
and not test_no_field_error\
and not test_ndim_error_ \
and not test_projection_object \
and not test_colorfill \
and not test_colorbar_kwargs \
and not test_global \
and not test_latlon \
and not test_add_timestamp_xarray \
and not test_units \
and not test_time_deltas \
and not test_advection_4d_vertical \
and not _4d \
and not test_natural_neighbor_to_grid \
and not test_inverse_distance_to_grid \
and not test_natural_neighbor_to_points \
and not test_inverse_distance_to_points \
and not test_plotobs_units_with_formatter \
and not test_attribute_error_ \
and not test_projection \
and not test_pyproj_projection \
and not test_no_projection \
and not test_globe \
and not test_geodetic \
and not test_unit_array \
and not test_units_data \
and not test_magnitude_with_quantity \
and not test_convert_units \
and not test_convert_to_base_units \
and not test_latlon_default_units \
and not test_missing_grid_mapping_invalid \
and not test_xy_not_vertical \
and not test_coordinates_basic_by_method \
and not test_coordinates_basic_by_property \
and not test_narr_example_variable_without_grid_mapping \
and not test_find_axis_name_ \
and not test_find_axis_number_ \
and not test_cf_parse_with_grid_mapping \
and not test_data_array_loc_ \
and not test_data_array_sel_ \
and not test_dataset_ \
and not test_auxilary_lat_lon_ \
and not test_find_nn_triangles_point \
and not test_vorticity_grid_pole" \
--ignore=tests/io/test_gempak.py \
--ignore=tests/io/test_gini.py \
--ignore=tests/io/test_metar.py \
--ignore=tests/io/test_nexrad.py \
--ignore=tests/io/test_station_data.py \
--ignore=tests/io/test_text.py

%:
	dh $@ --buildsystem=pybuild

## metpy 1.6.3+ds

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                python3-scipy,
                python3-traitlets,
                python3-xarray
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/Unidata/MetPy

## metpy 1.7.0+ds

=== debian/changelog ===
metpy (1.7.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-Fix-compatibility-with-xarray-v2025.08.0.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 25 Aug 2025 07:23:46 +0000

metpy (1.7.0+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Add dependenvy on vcrpy and boto3.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * Set upstream metadata fields: Documentation.
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 06:15:01 +0000

## metpy 1.7.1%2Bds

=== debian/changelog ===
metpy (1.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0002-Fix-compatibility-with-xarray-v2025.08.0.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 18:38:59 +0000

## metpy 1.7.1+ds

=== debian/changelog ===
metpy (1.7.1+ds-3) unstable; urgency=medium

  * debian/patches:
    - Improve 0003-xarray-v2025.12.0-compat.patch.
  * Disable autopkhtests on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Jan 2026 08:08:13 +0000

metpy (1.7.1+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0002-No-network.patch.
    - New 0003-xarray-v2025.12.0-compat.patch.
  * debian/rules:
    - Use merkers to skip network tests.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Jan 2026 17:27:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: metpy
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-boto3,
                python3-cartopy <!nocheck>,
+               python3-dask,
                python3-matplotlib,
                python3-netcdf4 <!nocheck>,
                python3-numpy,
@@ -23,10 +24,10 @@
                python3-shapely <!nocheck>,
                python3-scipy,
                python3-traitlets,
+               python3-vcr <!nocheck>,
                python3-xarray
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/Unidata/MetPy
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/metpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/metpy.git
@@ -38,5 +39,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Suggests: python3-boto3,
+          python3-cartopy,
+          python3-dask,
+          python3-shapely
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM:+ds=)
export PYBUILD_NAME=metpy
export PYBUILD_BEFORE_TEST=\
ln -s {dir}/conftest.py {dir}/tests 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/*.txt {build_dir}/${PYBUILD_NAME} 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/_static {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/colortable_files {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true; \
ln -s {dir}/src/${PYBUILD_NAME}/plots/nexrad_tables {build_dir}/${PYBUILD_NAME}/plots 2>/dev/null || true
export PYBUILD_AFTER_TEST=rm -f {dir}/tests/conftest.py
export PYBUILD_TEST_ARGS=-m "not network"

%:
	dh $@ --buildsystem=pybuild
